Bug 603605 - Ghex2 doesn't edit in place, doesn't abort save on failure
Ghex2 doesn't edit in place, doesn't abort save on failure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ghex (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Dodji Seketeli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 01:01 EDT by Gregory Maxwell
Modified: 2011-06-27 14:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:10:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Maxwell 2010-06-14 01:01:57 EDT
Description of problem:
Ghex2 doesn't edit files in place, even though "insert" is a special mode which must be enabled. Instead it rewrites the input.

It also doesn't check if there is enough free space to do this, which would be forgiveable except: When the write fails, it goes ahead and unlinks the original, dropping the truncated file in its place.

No errors are reported either.

Bad behaviour like that is the stuff "omg-all-my-files-are-zero-bytes" on quota-reached is made of. 


How reproducible:
Steps to Reproduce:
1. ghex2 a file larger than the available free space.
2. save
3. Notice that your file has been truncated only when it is far too late to do something about it.
  
Actual results:
File corrupted. Days of work lost.

Expected results:
File edited in place. OR The save cleanly fails with notice.

Additional info:

This is what I get for dog-fooding with user friendly desktop tools instead of using standards like ED.
Comment 1 Bug Zapper 2011-06-02 06:58:48 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 14:10:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.